#
# spec file for package zapzap
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           zapzap
Version:        5.3.1
Release:        1.3
Summary:        Whatsapp Desktop for Linux
License:        GPL-3.0-only+
URL:            https://github.com/zapzap-linux/zapzap
Source0:        https://github.com/zapzap-linux/zapzap/archive/refs/tags/%{version}.tar.gz
BuildRequires:  %{python_module PyQt6}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
Requires:       python3-PyQt6-WebEngine
Requires:       python3-PyQt6-sip
Requires:       python3-dbus-python
BuildArch:      noarch

%description
WhatsApp desktop application for Linux.

%prep
%autosetup -n %{name}-%{version}
sed -i "s|!/usr/bin/env python|!%{_bindir}/python3|" zapzap/services/dbus_notify.py

%build
%py3_build

%install
%py3_install
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
cp -R share/applications/com.rtosta.zapzap.desktop %{buildroot}%{_datadir}/applications/com.rtosta.zapzap.desktop
cp -R share/icons/com.rtosta.zapzap.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/com.rtosta.zapzap.svg

%fdupes %{buildroot}%{python_sitelib}/%{name}/

chmod +x %{buildroot}/%{python_sitelib}/%{name}/services/dbus_notify.py

%check

%files
%license LICENSE
%doc README.md
%{python_sitelib}/%{name}-*.egg-info
%{python_sitelib}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/com.rtosta.zapzap.desktop
%{_datadir}/icons/hicolor/scalable/apps/com.rtosta.zapzap.svg

%changelog
* Tue Apr 30 2024 Michael Vetter <mvetter@suse.com>
- Update to 5.3.1:
  * Refactoring
  * Add debug set theme
  * Fix issue while saving files #43
* Wed Apr 17 2024 Michael Vetter <mvetter@suse.com>
- Update to 5.3:
  * Update eu.po #64
* Mon Feb 26 2024 Michael Vetter <mvetter@suse.com>
- Update to 5.2.1:
  * Update translation file es.po for the new proxy configuration tab #55
  * Update de.po #58
* Sat Feb 17 2024 Michael Vetter <mvetter@suse.com>
- Update to 5.2:
  * Fixed typo in label and button: 'Lean more' changed to 'Learn more' #46
  * feat: Proxy support #42 #53
* Tue Jan 16 2024 Michael Vetter <mvetter@suse.com>
- Update to 5.1.3:
  * Updated French translation #32
  * Improved wording and markup #34
  * My improvements #35
  * Rename "Advanced mode" to "Advanced" #36
  * Update es.po #38
  * Update de.po #39
  * Update de.po #40
* Sat Dec 30 2023 Michael Vetter <mvetter@suse.com>
- Update to 5.1.1:
  * Wayland with Fractional Scaling
* Fri Dec 22 2023 Michael Vetter <mvetter@suse.com>
- Update to 5.1:
  * Optimization for the use of the ESC key
  * Disable the menu only for more than one user
  * New chat at phone number
  * Internal improvements
* Thu Dec 14 2023 Michael Vetter <mvetter@suse.com>
- Update to 5.0:
  * fix: Hide Wayland field when running in flatpak
  * fix: Opens Settings by Tray
  * feat: Little adjustments in settings
  * feat: Hide shortcut label to deactivated
  * feat: Frame separator
  * feat: Icon organization in CardUser
  * Card user account
  * fix: Description of shortcuts in Account
  * fix: Incorrect sizing and bad text rendering with WebEngine #17
  * fix: Transparent Download Panel #22
  * fix:  No icon in panel donations #23
  * feat: Drawer for Settings window
  * fix: Management of multiple users
  * feat: Open WhatsappWeb settings shortcut
  * fix: Position of the zapzap window is everytime on an new position #10
* Tue Dec 12 2023 Michael Vetter <mvetter@suse.com>
- Initial package of zapzap 4.5.5.3 for openSUSE
